<?

/*

VoxPopuli

Copyright (c) 2009-2011, EldoS Corporation

For licensing and distribution terms visit http://www.eldos.com/

*/

define("VOX_SERVER", 'localhost');
define("VOX_DATABASE", 'VoxPopuli');
define("VOX_USER", '');
define("VOX_PASSWORD", '');

error_reporting(0);

$vox_home_link = "";

// specifies administrator's ID and e-mail for admin notifications
$vox_notify_admin_id = 0;
$vox_notify_admin_email = "";

// specifies current language for messages
$vox_language = 'en';

// specifies if various notifications (currently status change) must be sent to the users 
$vox_notify_users_by_email = true;

// defines if anonymous submission of ideas is allowed
$vox_allow_submit_without_login = true;

// defines if anonymous voting is allowed.
$vox_allow_vote_without_login = true;

// defines whether submissions made by anonymous users are moderated. Note that this variable is used only in vox-rewrites.php 
// and it's behavior can be overriden by you in vox_user_requires_moderation() function.
$vox_moderate_anonymous_submissions = true;

// defines whether submissions made by logged in users are moderated. Note that this variable is used only in vox-rewrites.php 
// and it's behavior can be overriden by you in vox_user_requires_moderation() function.
$vox_moderate_loggedin_submissions = true;

// defines whether the users are allowed to vote against the idea
$vox_allow_votes_against = true;

// defines whether the votes are shown for ideas, for which the visitor didn't vote yet
$hide_votes_of_unvoted_ideas = true;

// defines whether admin sees My and Complete tabs.
$admin_show_my_complete_tabs = false;

// defines whether each delete operation must be confirmed
$vox_confirm_deletions = true;

// show "thank you" message after the vote has been confirmed
$vox_confirm_vote = true;

// defines format of the output for the UI. Don't set this value to true unless you are rewriting Javascript client-side code to parse XML and render your own output
$vox_xml_output = false;

// defines how many top items to show in View mode
$vox_view_item_count = 3;

// defines if the number of votes is shown in view mode
$vox_view_show_votes = true;

// if true, shows most recent votes. If false, shows most popular votes
$vox_view_show_recent = false;

// specifies whether specific status labels must be shown
$vox_view_show_status_new = false;
$vox_view_show_status_inprogress = true;
$vox_view_show_status_planned = true;

// specifies default number of ideas to be listed
$vox_default_ideas_per_page = 10;

// specifies text color of search text in search input box
$global_color_search_active = "#000";
$global_color_search_inactive = "#666";

?>