<?

/*

VoxPopuli

Copyright (c) 2009-2011, EldoS Corporation

For licensing and distribution terms visit http://www.eldos.com/

*/


DEFINE("VOX_STATUS_PENDING", 1);
DEFINE("VOX_STATUS_REJECTED", 2);
DEFINE("VOX_STATUS_COMPLETE", 3);
DEFINE("VOX_STATUS_NEW", 4);
DEFINE("VOX_STATUS_INWORK", 5);
DEFINE("VOX_STATUS_PLANNED", 6);

DEFINE("VOX_STATUS_FIRST", VOX_STATUS_PENDING);
DEFINE("VOX_STATUS_LAST", VOX_STATUS_PLANNED);

DEFINE("VOX_STATUS_CAN_VOTE_FIRST", VOX_STATUS_NEW);
DEFINE("VOX_STATUS_CAN_VOTE_LAST", VOX_STATUS_PLANNED);

DEFINE("VOX_EVENT_IDEA_ADDED", 1); // idea submitted
DEFINE("VOX_EVENT_IDEA_STATUS", 2); // idea status changed
DEFINE("VOX_EVENT_IDEA_DELETED", 3); // idea deleted
DEFINE("VOX_EVENT_VOTE", 4); // vote for idea

DEFINE("VOX_OPERATION_MODERATE_IDEA", 0); // metaoperation that includes commands in idea admin panel
DEFINE("VOX_OPERATION_APPROVE_IDEA", 1);
DEFINE("VOX_OPERATION_REJECT_IDEA", 2); 
DEFINE("VOX_OPERATION_DELETE_IDEA", 3); 
DEFINE("VOX_OPERATION_EDIT_IDEA", 4);
DEFINE("VOX_OPERATION_CHANGE_IDEA_STATUS", 5); 
DEFINE("VOX_OPERATION_SUBMIT_IDEA", 6); 
DEFINE("VOX_OPERATION_MOVE_IDEA_FROM", 7);  // move idea from one category to another
DEFINE("VOX_OPERATION_MOVE_IDEA_TO", 8);  // move idea from one category to another

DEFINE("VOX_OPERATION_VIEW_CATEGORIES", 10); 
DEFINE("VOX_OPERATION_ADD_CATEGORY", 11); 
DEFINE("VOX_OPERATION_DELETE_CATEGORY", 12); 
DEFINE("VOX_OPERATION_EDIT_CATEGORY", 13); 

DEFINE("VOX_OPERATION_VIEW_VOTES", 21); 


?>