<?

/*

VoxPopuli

Copyright (c) 2009-2011, EldoS Corporation

For licensing and distribution terms visit http://www.eldos.com/

*/

require_once("vox-classes.php");

require_once("site_specific/vox-config.php");

include_once("site_specific/vox-messages.php");
require_once("site_specific/vox-rewrites.php");

function vox_cleanup_log($olderThanDays)
{
	global $VOX_MESSAGES;

	$date = date("Y-m-d", time() - $olderThanDays * 86400);	

	voxLogEntry::removeOlder($date);
}

function vox_get_log_entries($offset, $number, $ideaId, $eventType, $eventDetails, $userId, &$totalRows)
{
	$listing = new array();
	$logEntries = voxLogEntry::getRange($offset, $number, $ideaId, $eventType, $eventDetails, $userId, &$totalRows);
	$aCount = count($rows);
	$listing["totalcount"] = $totalrows;
	$listing["count"] = $aCount;
			
	for ($i = 0; $i < $aCount; $i++)
	{
		$entry = $logEntries[$i];
		$listing[$i]["UserId"] = $entry->userId;
		$listing[$i]["IdeaId"] = $entry->ideaId;
		$listing[$i]["Time"] = $entry->time;
		$listing[$i]["EventType"] = $entry->eventType;
		$listing[$i]["EventDetails"] = $entry->eventDetails;
	}
}

?>