<?

/*

VoxPopuli

Copyright (c) 2009-2010, EldoS Corporation

For licensing and distribution terms visit http://www.eldos.com/

*/

require_once('vox-constants.php');
require_once('vox-cl-base.php');

class voxLogEntry extends voxBase
{
	var $time, $ideaId, $eventType, $eventDetails, $userId;

	function voxLogEntry()
	{
		$this->time = 0;
		$this->ideaId = 0;
		$this->eventType = 0;
		$this->eventDetails = 0;
		$this->userId = 0;
	}

	function add()
	{
		voxBase::mysqlconnect();
		$query=sprintf("INSERT INTO `Log` (`Id`, `Time`, `EventType`, `IdeaId`, `EventDetails`, `UserId`) 
				VALUES (NULL, '%s', %d, %d, %d, %d)", 
				$this->time, $this->ideaId, $this->eventType, $this->eventDetails, $this->userId);
		
		$result=voxBase::mysqlquery($query);
		return $result;
	}
    	
	function getRange($offset, $number, $ideaId, $eventType, $eventDetails, $userId, &$totalRows)
	{
		voxBase::mysqlconnect();
		if ($number != 0)
			$query = "SELECT SQL_CALC_FOUND_ROWS * FROM `Log`";
		else
			$query = "SELECT * FROM `Log`";
		
		$whereset = false;
		
		// append parameters
		if ($ideaId > 0)
		{
			$query = $query . " WHERE IdeaId = " . $ideaId;
			$whereset  = true;
		}
		
		if ($userId > 0)
		{
			if ($whereset)
				$query = $query . " AND ";
			else
				$query = $query . " WHERE ";
			$query = $query . " UserId = " . $userId;
			$whereset = true;
		}

		if ($eventType > 0)
		{
			if ($whereset)
				$query = $query . " AND ";
			else
				$query = $query . " WHERE ";
			$query = $query . " EventType = " . $eventType;
			$whereset = true;
		}

		if ($eventDetails > 0)
		{
			if ($whereset)
				$query = $query . " AND ";
			else
				$query = $query . " WHERE ";
			$query = $query . " EventDetails = " . $eventDetails;
			$whereset = true;
		}

		$query = $query . " ORDER BY Time ASC";
		
		// append range limit
		if ($number != 0)
		{
			if ($number > 100 || $number < 1) 
				$number = 20;
			if ($offset < 0)
				$offset = 0;
			$query = $query . " LIMIT {$offset}, {$number}";
		}

		// make request
		if ($number != 0)
		{
			voxBase::mysqlquery("LOCK TABLE Log WRITE");
			$result = voxBase::mysqlquery($query);		
			$query = "SELECT FOUND_ROWS() AS Total";
			$result_count = voxBase::mysqlquery($query);
			$totalrows = mysql_result($result_count, 0, "Total");
			voxBase::mysqlquery("UNLOCK TABLES");
		}
		else
			$result=voxBase::mysqlquery($query);		

		$logEntries=array();
		while($object = mysql_fetch_object($result))
		{
			$entry = new voxLogEntry();

			$entry->time=$object->Time;
			$entry->ideaId=$object->IdeaId;
			$entry->eventType=$object->EventType;
			$entry->eventDetails=$object->EventDetails;
			$entry->userId=$object->UserId;
			array_push($logEntries, $entry);
		}
		return $logEntries;
	}
	
	function removeOlder($date) 
	{
		voxBase::mysqlconnect();
		// delete votes
		$query="DELETE FROM `Log` WHERE Date < '{$date}'";
		$result = voxBase::mysqlquery($query);
		return $result;
	}
}

?>