<?

/*

VoxPopuli

Copyright (c) 2009-2011, EldoS Corporation

For licensing and distribution terms visit http://www.eldos.com/

*/

require_once('vox-cl-base.php');
require_once('vox-cl-category.php');
require_once('vox-cl-vote.php');
require_once('vox-cl-idea.php');
require_once('vox-cl-log.php');

function convert_date($date)
{
	list($year, $month, $day) = explode('-', $date);
	$timestamp = mktime(0, 0, 0, $month, $day, $year);
	return $timestamp;
}

function validate_date($date)
{
	list($year, $month, $day) = explode('-', $date);
	return ($year > 2000) && ($year < 2050) && ($month >= 1) && ($month <= 12) && ($day >= 1) && ($day <= 31);
}

function nowInRange($startDate, $endDate)
{
	$startTS = convert_date($startDate);
	$result = time() > $startTS;
	if ($endDate != '2020-01-01')
	{
		$endTS = convert_date($endDate); 
		$result = $result | ($result < $endTS);
	}
	return $result;
}

?>